=== debian/changelog ===
mistral (11.0.0-2) unstable; urgency=medium

  * Black list failing unit test (Closes: #978252):
    - test_fail_action_with_missing_heartbeats_wf_spec_not_cached

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2021 13:36:45 +0100

mistral (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Blacklist obviously broken test:
    - MistralHTTPActionTest.test_http_action()
    - HTTPActionTest.test_http_action()

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 20:02:57 +0200

mistral (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed --with systemd.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 09:16:17 +0200

mistral (10.0.0-1) unstable; urgency=medium

  * Fixed watch file URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 16:25:35 +0200

mistral (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 02:07:01 +0200

mistral (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop fix-requirements-to-allow-networkx-2.2.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 16:19:56 +0200
