## mistral 13.0.0

=== debian/changelog ===
mistral (13.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Xena.
  * d/p/revert-test-change-for-1936667.patch: Revert upstream change
    that causes test failures.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 09:43:27 +0000

mistral (12.0.0+git2021072117.22e822dd-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:08:46 -0400

mistral (12.0.0+git2021061112.c63e6e08-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:46 +0000
