=== debian/changelog ===
mistral (14.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Yoga.
  * d/p/switch-to-collections.abc-abstract-base-classes.patch: Dropped.
    Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:02:00 -0400

mistral (13.0.0+git2022030313.55bb2564-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/switch-test-workflows-to-yaml-safe-load.patch: Dropped. Fixed in
    upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:48:27 -0500

mistral (13.0.0+git2021120910.b2d6de56-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/switch-to-collections.abc-abstract-base-classes.patch: This fixes
    unit test errors detected with Python 3.10.
  * d/p/switch-test-workflows-to-yaml-safe-load.patch: Transition test
    code to yaml.safe_load() to fix error exposed by unit tests.
  * d/p/revert-test-change-for-1936667.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:54:08 -0500
