=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,20 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=mistral
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python3
+	dh $@  --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
 	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
 	rm -rf debian/mistral-common.postrm debian/*.templates debian/po
-
-override_dh_auto_clean:
-	python3 setup.py clean
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
@@ -29,12 +32,10 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp; \
-	done
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'mistral\.tests\.(?!(.*unit\.actions\.openstack\.test_generator\.GeneratorTest\.test_generator.*|.*api\.v2\.test_action_executions\.TestActionExecutionsController\.test_get_all_with_and_without_output.*|.*unit\.actions\.test_std_mistral_http_action\.MistralHTTPActionTest\.test_http_action.*|.*unit\.actions\.test_std_http_action\.HTTPActionTest\.test_http_action.*|.*engine\.test_action_heartbeat_checker\.ActionHeartbeatCheckerTest\.test_fail_action_with_missing_heartbeats_wf_spec_not_cached.*))'
+	pkgos-dh_auto_test --no-py2
 endif
 
 
@@ -43,7 +44,7 @@
 		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
 	done
 	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslo-config-generator \
 		--namespace mistral.config \
 		--namespace oslo.db \
 		--namespace oslo.messaging \
@@ -56,7 +57,7 @@
 		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
 		--format json \
 		--namespace mistral
