## mistral 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -14,24 +14,24 @@
 mistral-lib>=2.3.0 # Apache-2.0
 networkx>=2.3 # BSD
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.config>=5.2.0 # Apache-2.0
-oslo.context>=2.20.0 # Apache-2.0
+oslo.config>=6.8.0 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.40.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=1.30.0 # Apache-2.0
-oslo.utils>=3.37.0 # Apache-2.0
+oslo.policy>=3.6.0 # Apache-2.0
+oslo.utils>=4.0.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization>=2.21.1 # Apache-2.0
-oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.service>=2.1.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 paramiko>=2.4.1 # LGPLv2.1+
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 pecan>=1.2.1 # BSD
 PyJWT>=1.5 # MIT
 PyYAML>=5.1 # MIT
-requests>=2.14.2 # Apache-2.0
+requests>=2.18.0 # Apache-2.0
 tenacity>=5.0.1 # Apache-2.0
 SQLAlchemy>=1.2.5 # MIT
 stevedore>=1.20.0 # Apache-2.0
