=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
@@ -25,7 +25,7 @@
  python3-coverage (>= 4.0),
  python3-croniter (>= 0.3.4),
  python3-designateclient (>= 2.7.0),
- python3-doc8 (>= 0.8.0),
+ python3-doc8,
  python3-docutils,
  python3-dogpile.cache (>= 0.6.2),
  python3-eventlet (>= 0.26.0),
@@ -33,7 +33,7 @@
  python3-glanceclient (>= 1:2.8.0),
  python3-glareclient (>= 0.3.0),
  python3-gnocchiclient (>= 3.3.1),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-heatclient (>= 1.10.0),
  python3-ironic-inspector-client (>= 1.5.0),
  python3-ironicclient (>= 2.7.0),
@@ -93,6 +93,7 @@
  python3-troveclient (>= 1:2.2.0),
  python3-unittest2 (>= 1.1.0),
  python3-vitrageclient (>= 2.0.0),
+ python3-webtest,
  python3-wsme (>= 0.8.0),
  python3-yaml (>= 5.1),
  python3-yaql (>= 1.1.3),
@@ -101,10 +102,9 @@
  python3-zunclient (>= 3.4.0),
  subunit,
  testrepository,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/mistral
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/mistral
-Homepage: https://github.com/openstack/mistral
+Homepage: https://opendev.org/openstack/mistral
 Testsuite: autopkgtest-pkg-python
 
 Package: mistral-api
