## mistral 15.0.1

=== debian/changelog ===
mistral (15.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 08:10:53 +0000

mistral (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 22:53:28 +0200

mistral (15.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:06:41 +0200

mistral (15.0.0~rc1-2) experimental; urgency=medium

  * Fix namespace list when generating config file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 13:39:16 +0200

mistral (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-webtest (>= 3.0.0) to build-depends.
  * Removed fix-for-tenacity-8.0.1.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 17:12:18 +0200

mistral (14.0.0-2) unstable; urgency=medium

  * Autopkgtest: blacklist 4 tests that are failing.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 10:07:14 +0200

mistral (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:36:15 +0200

mistral (14.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Removed fix-import-from-collections.abc.patch applied upstream.
  * Add fix-for-tenacity-8.0.1.patch.
  * Blacklist test_long_action_failure_with_disabled_sender().

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 20:22:35 +0100

mistral (13.0.0-3) unstable; urgency=medium

  * Add repoducible-build.patch (Closes: #960591).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 19:25:49 +0100

mistral (13.0.0-2) unstable; urgency=medium

  * Add fix-import-from-collections.abc.patch (Closes: #1002388).
  * Blacklist failing test_long_action_failure_with_disabled_sender().

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 10:52:30 +0100

mistral (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:25:20 +0200

mistral (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 00:55:05 +0200

mistral (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist DataFlowTest.test_context_view_eval_keys().

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 12:17:48 +0200

mistral (12.0.0-2) unstable; urgency=medium

  * Switch mistral to uwsgi.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Aug 2021 11:33:06 +0200

mistral (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 14:25:19 +0200

mistral (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 23:56:12 +0100
