## mistral 16.0.0

=== debian/changelog ===
mistral (16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Depend on python-aodhclient >= 3.2.0-0ubuntu2 as
    3.2.0-0ubuntu1 fails to install.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:52:25 -0400

mistral (16.0.0~b1+git2023030309.4289317a-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:29:50 -0500

mistral (15.0.0+git2023010917.f35d3667-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jan 2023 17:56:41 -0500
