=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  python3-alembic (>= 0.9.6),
- python3-aodhclient (>= 0.9.0),
+ python3-aodhclient (>= 3.2.0-0ubuntu2~),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
  python3-cachetools (>= 2.0.0),
@@ -62,7 +62,7 @@
  python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization (>= 2.21.1),
@@ -93,7 +93,7 @@
  python3-troveclient (>= 1:2.2.0),
  python3-unittest2 (>= 1.1.0),
  python3-vitrageclient (>= 2.0.0),
- python3-webtest,
+ python3-webtest (>=  3.0.0),
  python3-wsme (>= 0.8.0),
  python3-yaml (>= 5.1),
  python3-yaql (>= 1.1.3),
@@ -217,7 +217,7 @@
 Depends:
  alembic (>= 0.8.10),
  python3-alembic (>= 0.9.6),
- python3-aodhclient (>= 0.9.0),
+ python3-aodhclient (>= 3.2.0-0ubuntu2~),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
  python3-cachetools (>= 2.0.0),
@@ -252,7 +252,7 @@
  python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization (>= 2.21.1),
