## mistral 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.40.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.policy>=3.6.0 # Apache-2.0
 oslo.utils>=4.0.0 # Apache-2.0
