=== debian/changelog ===
mistral (17.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 20:19:37 +0000

mistral (17.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:05:39 -0400

mistral (16.0.0+git2023071214.7baff017-0ubuntu2) mantic; urgency=medium

  * d/control: Drop python3-qinlingclient BD. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Sep 2023 14:41:09 -0400

mistral (16.0.0+git2023071214.7baff017-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:36:39 -0400

mistral (16.0.0+git2023061415.d6b7f730-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:08:59 -0400
